Subject: Re: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: Juri Linkov <[email-masked]>
Date: Tue, 06 Nov 2018 00:12:01 +0200

>> +(defcustom windmove-create-window nil
>> +  "Whether movement off the edge of the frame creates a new window.
>> +If this variable is set to t, moving left from the leftmost window in
>> +a frame will create a new window on the left, and similarly for the other
>> +directions."
>
> You should say here that a non-nil values abolishes the wrap-around
> behavior and in the doc-string of 'windmove-wrap-around' say that it
> has no effect if 'windmove-create-window' is non-nil.

'windmove-create-window' is very useful with non-nil value of
'windmove-wrap-around' - this is what I actually use.

This means that no more than 2 windows can be created in any direction,
and this is fine.

> And how gracefully should we handle failures of 'split-window'?

Not important for windmove-do-window-select.